Bug 226530 - audio/liblastfm: add Qt 5 version
Summary: audio/liblastfm: add Qt 5 version
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jason E. Hale
URL: https://reviews.freebsd.org/D14667
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-11 17:34 UTC by Greg V
Modified: 2018-04-17 23:30 UTC (History)
0 users

See Also:
jhale: maintainer-feedback+


Attachments
liblastfm-qt5.patch (3.99 KB, patch)
2018-03-11 17:34 UTC, Greg V
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Greg V 2018-03-11 17:34:28 UTC
Created attachment 191424 [details]
liblastfm-qt5.patch

Necessary for the Qt 5 version of Clementine (https://github.com/clementine-player/Clementine/tree/qt5). Updated to newer version to make it parallel-installable with the Qt 4 version (https://github.com/lastfm/liblastfm/commit/480e2ec663ef867e7892dbbc624737cae176c717)
Comment 1 Jason E. Hale freebsd_committer 2018-03-11 23:44:13 UTC
No objection to adding Qt5 support. It would probably be better to make this a flavorized port instead of adding the slave port and maybe just have one pkg-plist with the version suffix subbed. I'll look into it.
Comment 2 Jason E. Hale freebsd_committer 2018-03-12 15:57:59 UTC
I've flavorized the port and added a few fixes. Waiting on portmgr approval for the flavors, but more testing always appreciated: https://reviews.freebsd.org/D14667
Comment 3 commit-hook freebsd_committer 2018-04-17 23:28:24 UTC
A commit references this bug:

Author: jhale
Date: Tue Apr 17 23:27:22 UTC 2018
New revision: 467663
URL: https://svnweb.freebsd.org/changeset/ports/467663

Log:
  - Update audio/liblastfm to 1.0.9-5-g4433165 [1]
  - Add audio/liblastfm-qt5 slave port which provides a Qt 5 interface [1]
  - Explicitly mark UrlBuilder::mobilize() as deprecated

  - Allow Qt4 and Qt5 versions to be installed concurrently
  - Make sure liblastfm creates the directories it uses instead of relying
    on client apps to do so

  PR:		226530 [1]
  Submitted by:	Greg V <greg@unrelenting.technology> [1]

Changes:
  head/audio/Makefile
  head/audio/liblastfm/Makefile
  head/audio/liblastfm/distinfo
  head/audio/liblastfm/files/patch-src_UrlBuilder.h
  head/audio/liblastfm/pkg-plist
  head/audio/liblastfm-qt5/
  head/audio/liblastfm-qt5/Makefile
Comment 4 Jason E. Hale freebsd_committer 2018-04-17 23:30:25 UTC
Slave port added. FLAVOR plan abandoned for now.